Subject: Re: [bug#76619] [PATCH] gnu: home: services: Add 'wayland-display' service.

From: Hilton Chain <[email-masked]>
Date: Fri, 07 Mar 2025 23:48:24 +0800

On Wed, 05 Mar 2025 23:16:18 +0800,
Ludovic Courtès wrote:
>
> Hi Hilton,
>
> Hilton Chain <[email-masked]> skribis:
>
> > Since some services may depend on either DISPLAY or WAYLAND_DISPLAY, and these
> > two services (x11-display, wayland-display) are similar, I think we can merge
> > them into one and deprecate home-x11-service-type by this new service.
> >
> > e.g.
> >
> > service: home-display-service-type
> > configuration: x11? (boolean: #f) wayland? (boolean: #f) time-to-wait (integer: 10)
> > default-value #f
> > provision: 'x11-display when x11? is #t
> >            'wayland-display when walyand? is #t
> >            'display when either x11? or wayland? is #t
> > return value: "DISPLAY: unset; WAYLAND_DISPLAY: wayland-1"
> >
> > Then one service can choose to depend on 'display or specifically 'x11-display /
> > 'wayland-display.
>
> That sounds like a good idea to me.  It goes beyond the scope of the
> initial patch in this thread though.
>
> Sisiutl, Hilton: who wants to work on it?

Sure, I can do this.  I'll begin in a few days.